Bug 131065 - GIMLET unable to differentiate LE with the same name
GIMLET unable to differentiate LE with the same name
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: im-sdk (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Jens Petersen
: i18n
Depends On:
Blocks: IIIMF
  Show dependency treegraph
 
Reported: 2004-08-27 00:42 EDT by Lawrence Lim
Modified: 2014-03-25 20:50 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-20 22:30:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lawrence Lim 2004-08-27 00:42:41 EDT
Description of problem:
A very interesting observation on GIMLET is that if 2 LE has the same
name, GIMLET will only load one of them. This happened when both
iiimf-le-chinput and iiimf-le-newpy has the same name in the GIMLET.

Version-Release number of selected component (if applicable):
1) im-sdk-12.0.1-1
2) iiimf-le-chinput-0.3-5

How reproducible:
Always

Steps to Reproduce:
1.Install im-sdk and iiimf-le-chinput
2.add GIMLET to the panel and add zh_CN to the GIMLET
3.Notice that only one LE is loaded.
4. move one of the LE out of the /usr/lib/im/leif to load the other LE
  
Actual results:
Only one LE gets loaded

Expected results:
Both should be displayed even though they have the same name.

Additional info:
Comment 1 Jens Petersen 2004-09-16 09:59:33 EDT
If both LEs really have the same name, there is no way that
they can be distinguished so it will only ever be possible
to choose of them with the current iiimf protocol (or
at least the messaging between frontends and gimlet),
so IMHO -le-chinput should obsolete -le-newpy or the
name of one of them should be changed.

However my latest unreleased devel version of gimlet
no longer has this restriction I believe.
Comment 2 Jens Petersen 2004-09-20 22:30:09 EDT
FWIW the next version of gimlet will not show LEs with the same
name for the same language however.
Comment 3 Lawrence Lim 2004-09-20 22:30:31 EDT
Just make an observation before I resolve the bug.

Tested with jens unreleased devel version of gimlet with chinput-0.3-6
and newpy-12.0.1-3, after X restarted, newpy was picked up. Clicking
on GIMLET to check if both LE are listed by GIMLET, only to realise
that chinput was the only one listed. Selected the chinput in the
GIMLET changes the LE to chinput and newpy is nowhere to be found anymore.

Note You need to log in before you can comment on or make changes to this bug.